%define api_version	2
%define lib_major	0
%define lib_name	%mklibname IDL %{api_version} %{lib_major}

Summary:	IDL parsing library
Name:		libIDL
Version: 0.8.6
Release:	1mdk
URL:		http://orbit-resource.sf.net/
License:	LGPL
Group:		System/Libraries
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

Source:		http://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2

BuildConflicts: ORBit-devel < 0.5.10
BuildRequires:	flex bison pkgconfig
BuildRequires:  libglib2.0-devel

%description
libIDL is a small library for creating parse trees of CORBA v2.2
compliant Interface Definition Language (IDL) files, which is a
specification for defining interfaces which can be used between
different CORBA implementations.

%package -n %{lib_name}
Summary:	%{summary}
Group:		%{group}
Provides:	%{name} = %{version}-%{release}
Provides:	%{name}%{api_version} = %{version}-%{release}

%description -n %{lib_name}
libIDL is a small library for creating parse trees of CORBA v2.2
compliant Interface Definition Language (IDL) files, which is a
specification for defining interfaces which can be used between
different CORBA implementations.

%package -n %{lib_name}-devel
Summary:	Header files and libraries needed for libIDL development
Group:		Development/C
Conflicts:	ORBit-devel < 0.5.10
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{name}%{api_version}-devel = %{version}-%{release}
Requires:	%{lib_name} = %{version}
Requires:   glib2-devel
Requires(post,preun): info-install

%description -n %{lib_name}-devel
This package includes the header files and libraries needed for
developing or compiling programs using libIDL.

%prep
%setup -q

%build

%configure2_5x

%make

%install
rm -rf %{buildroot}

%makeinstall_std
%multiarch_binaries %buildroot%_bindir/*-config*

%post -n %{lib_name} -p /sbin/ldconfig

%postun -n %{lib_name} -p /sbin/ldconfig

%post -n %{lib_name}-devel
%_install_info %{name}2.info

%preun -n %{lib_name}-devel
%_remove_install_info %{name}2.info

%clean
rm -rf %{buildroot}

%files -n %{lib_name}
%defattr(-,root,root)
%doc AUTHORS README NEWS BUGS ChangeLog
%{_libdir}/lib*.so.*

%files -n %{lib_name}-devel
%defattr(-,root,root)
%doc tstidl.c
%{_bindir}/libIDL-config-2
%{_bindir}/*/libIDL-config-2
%{_includedir}/*
%{_infodir}/*.info*
%{_libdir}/lib*.la
%{_libdir}/lib*.a
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*

%changelog
* Tue Jul 26 2005 Gtz Waschk <waschk@mandriva.org> 0.8.6-1mdk
- replace prereq
- reenable libtoolize
- New release 0.8.6

* Sat Feb  5 2005 Goetz Waschk <waschk@linux-mandrake.com> 0.8.5-1mdk
- New release 0.8.5

* Mon Jan 31 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.8.4-2mdk
- multiarch support

* Tue Aug 17 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8.4-1mdk
- fix source URL
- New release 0.8.4

* Wed Jan 21 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8.3-1mdk
- Release 0.8.3

* Thu Jul 10 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.8.2-2mdk
- rebuild

* Mon Jun 02 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.8.2-1mdk
- Release 0.8.2

* Wed May 07 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.8.1-1mdk
- Release 0.8.1
- mklibnamification

* Mon Jun  3 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8.0-1mdk
- Release 0.8.0
- Remove patch 0 (merged upstream)

* Fri Apr 19 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7.4-2mdk
- Patch0 (CVS): explicit linking with glib2
- Fix BuildRequires (add glib2)

* Thu Mar 21 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7.4-1mdk
- Initial Mdk package, based on Abel Cheung work 
- Release 0.7.4
